*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root{
    --bgcolor:#F1E4F3;
    --font-color:#000000;
    --section-color:#70B77E;
    --btn-color:#70161E;
    --img-holder:white;
    --fact-color:#065143;
}

body{
    overflow-x: hidden;
    background-color: var(--bgcolor);
    display: flex;
    padding: 2rem;
    min-width: 100vw;
    max-width: 100%;
    min-height: 100vh;
    max-height: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1.2rem;
}

header{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 15%;
    gap: 1rem;
    text-align: center;
}

.heading{
    font-size: 3rem;
    font-weight: bold;
    color: var(--font-color);
}

.subheading{
    font-size: 1.5rem;
    color: var(--font-color);
}

main{
    height: max-content;
    background-color: var(--section-color);
    width: 30%;
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    align-items: center;
    border-radius: 2rem;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
    padding: 2rem;
    gap: 2rem;
}

#cat-photo{
    width: 90%;
    height: 25rem;
    background-color: var(--fact-color);
    border: var(--img-holder) 0.4rem solid;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 2rem;
    background-position: center;
    background-repeat:no-repeat;
    background-size: contain;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
}

.dropdowns, .cta{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
    width: 90%;
    height: 8%;
}

.cta{
    flex-wrap: wrap;
}

select{
    width: 90%;
    height: 5rem;
    background-color: var(--btn-color);
    color: white;
    font-size: 1.2rem;
    border: none;
    border-radius: 2rem;
    padding-left: 2rem;
}

.facts{
    display: none;
    justify-content: center;
    align-items:center;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    width: 80%;
    height: max-content;
    font-size: 1rem;
    color: white;
    border: var(--img-holder) 0.4rem solid;
    border-radius: 2rem;
    text-align: center;
    line-height: 1.6;
    background-color: var(--fact-color);
}

#generate{
    width: 90%;
    height: 6rem;
    background-color: var(--btn-color);
    color: white;
    font-size: 1.2rem;
    border: none;
    border-radius: 2rem;
}

canvas,#copy{
    display: none;
}

#copy,#download,#share{
    width: 18%;
    height: 4rem;
    background-color: var(--btn-color);
    color: white;
    font-size: 1.2rem;
    border: none;
    border-radius: 1rem;
}

.cta button,select,button{
    cursor: pointer;
    transition: all 0.3s ease-in-out !important;
}

.cta button:hover, select:hover, button:hover{
    background-color: #180105 !important;
}